summaryrefslogtreecommitdiffstats
path: root/system/gigolo
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-05-13 01:00:48 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:48 +0200
commit9fa6a79645c5cf5c4caaa4d560872fc375e31d93 (patch)
tree6d266a0d51ec3c5af05797fb31cb974886f1db18 /system/gigolo
parent98831b981e21e886fd804dc65060dbcfe79a5cf6 (diff)
downloadslackbuilds-9fa6a79645c5cf5c4caaa4d560872fc375e31d93.tar.gz
slackbuilds-9fa6a79645c5cf5c4caaa4d560872fc375e31d93.tar.xz
system/gigolo: Added to 13.0 repository
Diffstat (limited to 'system/gigolo')
-rw-r--r--system/gigolo/README8
-rw-r--r--system/gigolo/gigolo.SlackBuild81
-rw-r--r--system/gigolo/gigolo.info10
-rw-r--r--system/gigolo/gnome-mount58
-rw-r--r--system/gigolo/slack-desc19
5 files changed, 176 insertions, 0 deletions
diff --git a/system/gigolo/README b/system/gigolo/README
new file mode 100644
index 0000000000..b821299704
--- /dev/null
+++ b/system/gigolo/README
@@ -0,0 +1,8 @@
+Gigolo is a frontend to easily manage connections to remote filesystems
+using GIO/GVfs. It allows you to quickly connect/mount remote filesystems
+and manage bookmarks of such.
+
+This script installs a compatibility wrapper to /usr/bin/gnome-mount
+unless you pass something other than "yes" to GNOMEMOUNT when running
+the build script, e.g. GNOMEMOUNT=no ./gigolo.SlackBuild
+If you do that, then gnome-vfs is a run-time dependency.
diff --git a/system/gigolo/gigolo.SlackBuild b/system/gigolo/gigolo.SlackBuild
new file mode 100644
index 0000000000..97c8da05c8
--- /dev/null
+++ b/system/gigolo/gigolo.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for gigolo
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=gigolo
+VERSION=${VERSION:-0.4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+./waf build
+./waf install --destdir=$PKG
+
+if [ x"${GNOMEMOUNT:-"yes"}" = "xyes" ]; then
+ # Install a 'gnome-mount' compatibility wrapper
+ cat $CWD/gnome-mount > $PKG/usr/bin/gnome-mount
+ chmod 0755 $PKG/usr/bin/gnome-mount
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Installation already copies all the documentation files in the 'right' place
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gigolo/gigolo.info b/system/gigolo/gigolo.info
new file mode 100644
index 0000000000..543b42dd8f
--- /dev/null
+++ b/system/gigolo/gigolo.info
@@ -0,0 +1,10 @@
+PRGNAM="gigolo"
+VERSION="0.4.0"
+HOMEPAGE="http://www.uvena.de/gigolo/"
+DOWNLOAD="http://files.uvena.de/gigolo/gigolo-0.4.0.tar.bz2"
+MD5SUM="9c8e12ca55f39c0fff7cf06732f0eb44"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"
diff --git a/system/gigolo/gnome-mount b/system/gigolo/gnome-mount
new file mode 100644
index 0000000000..e3b6323fcd
--- /dev/null
+++ b/system/gigolo/gnome-mount
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# gnome-mount - wrapper script for use with exo-mount
+#
+# Copyright 2009 Enrico Tröger <enrico(at)xfce(dot)org>
+# Licence: GPLv2
+#
+# This script aims to be a wrapper script to provide the
+# gnome-mount utility on envrionments which only have
+# exo-mount (e.g. Xfce). It accepts all command line arguments
+# which are passed but ignores all which are not supported by
+# exo-mount.
+#
+# Possible use case is as a drop-in replacement to get mounting
+# local resources with GVfs working, e.g. mounting disks in CD drives.
+
+# Retrieved from http://files.uvena.de/gnome-mount
+# (slightly modified to remove extraneous information)
+
+
+OPTS=""
+
+# first catch all passed arguments and keep those exo-mount supports,
+# ignore all other arguments
+while [ -n "$*" ]
+do
+ case $1 in
+ -\?|--help)
+ OPTS="$OPTS --help"
+ ;;
+ -e|--eject)
+ OPTS="$OPTS --eject"
+ ;;
+ -u|--unmount)
+ OPTS="$OPTS --unmount"
+ ;;
+ -h|--hal-udi)
+ OPTS="$OPTS --hal-udi"
+ shift
+ OPTS="$OPTS $1"
+ ;;
+ -d|--device)
+ OPTS="$OPTS --device"
+ shift
+ OPTS="$OPTS $1"
+ ;;
+ -n|--no-ui)
+ OPTS="$OPTS --no-ui"
+ ;;
+ -V|--version)
+ OPTS="$OPTS --version"
+ ;;
+ esac
+ shift
+done
+
+# now run exo-mount and hope things go well
+exo-mount $OPTS
diff --git a/system/gigolo/slack-desc b/system/gigolo/slack-desc
new file mode 100644
index 0000000000..2ac1265bb6
--- /dev/null
+++ b/system/gigolo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+gigolo: gigolo (Remote filesystem manager)
+gigolo:
+gigolo: Gigolo is a frontend to easily manage connections to remote
+gigolo: filesystems using GIO/GVfs. It allows you to quickly connect/mount a
+gigolo: remote filesystem and manage bookmarks of such.
+gigolo:
+gigolo: Homepage: http://www.uvena.de/gigolo/
+gigolo:
+gigolo:
+gigolo:
+gigolo: